%define build_firefox 1
%define build_thunderbird 1
%define ext_guid '{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}'
%define ext_desc \\\
Adblock Plus allows you to regain control of the internet \\\
and view the web the way you want to. The add-on is supported \\\
by over forty filter subscriptions in dozens of languages which \\\
automatically configure it for purposes ranging from removing \\\
online advertising to blocking all known malware domains. \\\
Adblock Plus also allows you to customize your filters \\\
with the assistance of a variety of useful features, \\\
including a context option for images, a block tab for \\\
Flash and Java objects, and a list of blockable items \\\
to remove scripts and stylesheets.   


Name: adblock_plus
License: MPL
Group: Applications/Internet
Summary: Adblock Plus advertisement blocker extension for Firefox/Thunderbird
Version: 1.2
Release: 4%{?dist}
URL: https://addons.mozilla.org/en-US/firefox/addon/1865/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: https://addons.mozilla.org/downloads/latest/1865/adblock_plus-%{version}-fx+sm+tb+fn.xpi
Source1: https://addons.mozilla.org/downloads/latest/1865/adblock_plus-1.1.1-fx+sm+tb.xpi
Source100: mozilla-extension-update.sh
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip

%description
%{ext_desc}

%if %{build_firefox}

%define update_firefox \\\
  %{_libdir}/firefox-%{name}/mozilla-extension-update.sh --appname firefox \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/firefox-%{name} --action


%package -n firefox-%{name}
Summary:   Adblock Plus advertisement blocker extension for Firefox
Obsoletes: firefox-add-on-adblock_plus
Provides:  firefox-add-on-adblock_plus
Group: Applications/Internet

%description -n firefox-%{name}
%{ext_desc}

%post -n firefox-%{name}
%{update_firefox} install ||:

%preun -n firefox-%{name}
if [ $1 = 0 ]; then
 %{update_firefox} remove ||:
fi 

%triggerin -n firefox-%{name} -- firefox
%{update_firefox} install ||:

%files -n firefox-%{name}
%defattr(-,root,root,-)
%{_libdir}/firefox-%{name}
%{_libdir}/firefox-%{name}/*

%endif #build_firefox

%if %{build_thunderbird}

%define update_thunderbird \\\
  %{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/thunderbird-%{name} --action
  
%package -n thunderbird-%{name}
Summary:   Adblock Plus advertisement blocker extension for Thunderbird
Obsoletes: thunderbird-add-on-adblock_plus
Provides:  thunderbird-add-on-adblock_plus
Group: Applications/Internet

%description -n thunderbird-%{name}
%{ext_desc}

%post -n thunderbird-%{name}
%{update_thunderbird} install ||:

%preun -n thunderbird-%{name}
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -n thunderbird-%{name} -- thunderbird
%{update_thunderbird} install ||:

%files -n thunderbird-%{name}
%defattr(-,root,root,-)
%{_libdir}/thunderbird-%{name}
%{_libdir}/thunderbird-%{name}/*

%endif #build_thunderbird

%build

%install

%if %{build_firefox}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/firefox-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/firefox-%{name} %{SOURCE0}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/firefox-%{name}/mozilla-extension-update.sh
%endif
%if %{build_thunderbird}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name} %{SOURCE1}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh
%endif

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.2
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
